<template>
    <div id="app" class="container-fluid h-100">
        <div class="bg-dark">
            <div class="container">
                <navbar/>
            </div>
        </div>
        <div class="container py-3">
            <router-view/>
        </div>
    </div>
</template>

<script>
    import Navbar from "@/components/Navbar";

    export default {
        name: 'App',
        components: {
            Navbar
        },
    }

</script>

<style>
    html, body, #app {
        height: 100%;
    }

    #app {
        padding: 0;
    }

    #app > div.container {
        min-height: calc(100% - 56px);
    }

    body {
        background-image: url('../src/assets/background.jpg');
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-size: cover;
    }

    div.container {
        background-color: rgba(255, 255, 255, .9);
    }

    #navbar {
        margin: 0 -15px;
    }

    /*#background {
        background-color: rgba(255,255,255,.8);
        position: fixed;
        top: 0;
        bottom: 0;
    }*/
</style>
